| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Enumerations
OgreMeshFileFormat.h File Reference
`#include "OgrePrerequisites.h"`

## Namespaces
| Ogre

## Enumerations
enum | Ogre::MeshChunkID { Ogre::M_HEADER = 0x1000, Ogre::M_MESH = 0x3000, Ogre::M_SUBMESH = 0x4000, Ogre::M_SUBMESH_OPERATION = 0x4010, Ogre::M_SUBMESH_BONE_ASSIGNMENT = 0x4100, Ogre::M_SUBMESH_TEXTURE_ALIAS = 0x4200, Ogre::M_GEOMETRY = 0x5000, Ogre::M_GEOMETRY_VERTEX_DECLARATION = 0x5100, Ogre::M_GEOMETRY_VERTEX_ELEMENT = 0x5110, Ogre::M_GEOMETRY_VERTEX_BUFFER = 0x5200, Ogre::M_GEOMETRY_VERTEX_BUFFER_DATA = 0x5210, Ogre::M_MESH_SKELETON_LINK = 0x6000, Ogre::M_MESH_BONE_ASSIGNMENT = 0x7000, Ogre::M_MESH_LOD_LEVEL = 0x8000, Ogre::M_MESH_LOD_USAGE = 0x8100, Ogre::M_MESH_LOD_MANUAL = 0x8110, Ogre::M_MESH_LOD_GENERATED = 0x8120, Ogre::M_MESH_BOUNDS = 0x9000, Ogre::M_SUBMESH_NAME_TABLE = 0xA000, Ogre::M_SUBMESH_NAME_TABLE_ELEMENT = 0xA100, Ogre::M_EDGE_LISTS = 0xB000, Ogre::M_EDGE_LIST_LOD = 0xB100, Ogre::M_EDGE_GROUP = 0xB110, Ogre::M_POSES = 0xC000, Ogre::M_POSE = 0xC100, Ogre::M_POSE_VERTEX = 0xC111, Ogre::M_ANIMATIONS = 0xD000, Ogre::M_ANIMATION = 0xD100, Ogre::M_ANIMATION_BASEINFO = 0xD105, Ogre::M_ANIMATION_TRACK = 0xD110, Ogre::M_ANIMATION_MORPH_KEYFRAME = 0xD111, Ogre::M_ANIMATION_POSE_KEYFRAME = 0xD112, Ogre::M_ANIMATION_POSE_REF = 0xD113, Ogre::M_TABLE_EXTREMES = 0xE000, Ogre::M_GEOMETRY_NORMALS = 0x5100, Ogre::M_GEOMETRY_COLOURS = 0x5200, Ogre::M_GEOMETRY_TEXCOORDS = 0x5300 }
| Definition of the OGRE .mesh file format. More...